net.sf.jasperreports.engine

## Class JRAbstractSvgRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractRenderer
  - - net.sf.jasperreports.engine.JRAbstractSvgRenderer

- All Implemented Interfaces:
    java.io.Serializable, JRRenderable, Renderable
  Direct Known Subclasses:
    AwtComponentRenderer, BarbecueRenderer, BatikRenderer, DrawChartRenderer, JCommonDrawableRenderer, JFreeChartRenderer, JRWrappingSvgRenderer, UnusedSpaceImageRenderer

      public abstract class JRAbstractSvgRenderer
      extends JRAbstractRenderer

  Version:
    $Id: JRAbstractSvgRenderer.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRAbstractSvgRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.awt.Graphics2D` | `createGraphics(java.awt.image.BufferedImage bi)`
    `java.awt.Color` | `getBackcolor()`
    `java.awt.geom.Dimension2D` | `getDimension()` Deprecated. Replaced by `getDimension(JasperReportsContext)`.
    `java.awt.geom.Dimension2D` | `getDimension(JasperReportsContext jasperReportsContext)`
    `byte[]` | `getImageData()` Deprecated. Replaced by `getImageData(JasperReportsContext)`.
    `byte[]` | `getImageData(JasperReportsContext jasperReportsContext)`
    `protected int` | `getImageDataDPI(JasperReportsContext jasperReportsContext)`
    `byte` | `getImageType()` Deprecated. Replaced by `getImageTypeValue()`.
    `ImageTypeEnum` | `getImageTypeValue()`
    `byte` | `getType()` Deprecated. Replaced by `getTypeValue()`.
    `RenderableTypeEnum` | `getTypeValue()`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer

      `getId, render`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRRenderable

      `render`

- - ### Constructor Detail

    - #### JRAbstractSvgRenderer

          public JRAbstractSvgRenderer()

  - ### Method Detail

    - #### getType

          public byte getType()

      Deprecated. Replaced by `getTypeValue()`.

    - #### getImageType

          public byte getImageType()

      Deprecated. Replaced by `getImageTypeValue()`.

    - #### getTypeValue

          public RenderableTypeEnum getTypeValue()

      Specified by:
        `getTypeValue` in interface `Renderable`
      Overrides:
        `getTypeValue` in class `JRAbstractRenderer`

    - #### getImageTypeValue

          public ImageTypeEnum getImageTypeValue()

      Specified by:
        `getImageTypeValue` in interface `Renderable`
      Overrides:
        `getImageTypeValue` in class `JRAbstractRenderer`

    - #### getDimension

          public java.awt.geom.Dimension2D getDimension(JasperReportsContext jasperReportsContext)

      Specified by:
        `getDimension` in interface `Renderable`
      Overrides:
        `getDimension` in class `JRAbstractRenderer`

    - #### getDimension

          public java.awt.geom.Dimension2D getDimension()

      Deprecated. Replaced by `getDimension(JasperReportsContext)`.

    - #### getBackcolor

          public java.awt.Color getBackcolor()

    - #### getImageData

          public byte[] getImageData()
                              throws JRException

      Deprecated. Replaced by `getImageData(JasperReportsContext)`.
      Throws:
        `JRException`

    - #### getImageData

          public byte[] getImageData(JasperReportsContext jasperReportsContext)
                              throws JRException

      Specified by:
        `getImageData` in interface `Renderable`
      Overrides:
        `getImageData` in class `JRAbstractRenderer`
      Throws:
        `JRException`

    - #### getImageDataDPI

          protected int getImageDataDPI(JasperReportsContext jasperReportsContext)

    - #### createGraphics

          protected java.awt.Graphics2D createGraphics(java.awt.image.BufferedImage bi)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com